package cn.stylefeng.workflow.instance.api.format;

import cn.hutool.core.convert.Convert;
import cn.hutool.core.util.ObjectUtil;
import cn.hutool.extra.spring.SpringUtil;
import cn.stylefeng.roses.kernel.rule.format.BaseSimpleFieldFormatProcess;
import cn.stylefeng.workflow.instance.api.TaskApi;

public class TaskStatusProcess extends BaseSimpleFieldFormatProcess {

    @Override
    public Class<?> getItemClass() {
        return Long.class;
    }

    @Override
    public Object simpleItemFormat(Object businessId) {
        if (ObjectUtil.isEmpty(businessId)) {
            return null;
        }

        TaskApi taskApi = SpringUtil.getBean(TaskApi.class);
        return taskApi.getTaskStatus(Convert.toLong(businessId));
    }

}
